package services

import (
	"eta/eta_forum_task/utils"
	"fmt"
	"github.com/beego/beego/v2/task"
)

func Task() {
	fmt.Println("task start")
	//如果是生产环境，才需要走这些任务
	if utils.RunMode == "release" {
		releaseTask()
	}
	// 定时更新图表数据到eta社区
	etaForumChartUpdate := task.NewTask("publishSmartReport", "0 */30 * * * *", EtaForumChartUpdate)
	task.AddTask("定时更新图表数据到eta社区", etaForumChartUpdate)

	task.StartTask()
	fmt.Println("task end")
}

func releaseTask() {

}
